package kddml.KDDMLGui;

public class ARFFPathSplitter {

  private String arff_name;

  private String arff_path;

  public ARFFPathSplitter(String arff) throws java.io.IOException {

    int index = arff.lastIndexOf(java.io.File.separator);
    if (index == -1)
      throw new java.io.IOException("Illegal File path: "+arff);
    arff_path = arff.substring(0, index + 1);
    arff_name = arff.substring(index + 1, arff.length());
  }

  public String getName() {
    return arff_name;
  }

  public String getPath() {
    return arff_path;
  }
}
