#ifndef DATABASE_H
#define DATABASE_H

#define MAXCHARATT 80

typedef struct 
	{  

	 char nome[MAXCHARATT];
	 char **dominio;  /* il set dei valori discretizzati che pu assumere */
         int numdominio;  /* il numero dei valori discretizzati che pu assumere */
	 int continuo;    /* se l'attributo ha valori nel continuo o nel discreto */

           } Attributo;




typedef struct 
	{  
	  int *classe;  /* informazioni sulle classi */
	  char **data;   /* le tuple */
	  int numtuple;
	  int numatt;     /* il numero degli attributi + 1 per la classificazione */
          int numclassi; /* il numero di classi */
          Attributo *listatt; /* la lista degli attributi discretizzati */
          int **confusion;

	     }  Database;


#endif /* database.h */
