<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>

<!-- 
PMML Version 2.0 HTML Hierarchy Model generator. 
-->

<xsl:template match="/">
  <html>
    <body  bgcolor="#E7F3F7">
      <h2><font color="#808080"><b>
      
      <TABLE width="100%" cellspacing="2" cellpadding="10" border="2">
      <TR>
         <TH align="left" width="100%">
            <FONT size="+1" color="black">
               <B>KDDML Items Hierarchy Visualization</B>
            </FONT>
         </TH>
      </TR>
      </TABLE> 
      <BR d=""/>
      <BR d=""/>

      </b></font></h2>
      <left>
      <xsl:apply-templates select="PMML"/>
      </left>
    </body>
  </html>
</xsl:template>



<!-- This table identifies the application and model details -->
<xsl:template match="Header/Application">

   <HR/>
   <BR d=""/> 
   <b>
   <FONT size = "+1"> Software Information  </FONT>
   </b>
   <BR d=""/><BR d=""/>     
        	<UL>
        	<LI>
        	        		    
	    <b>
		    Software Used : <font color="blue">
		    <xsl:value-of select="@name" /> (version <xsl:value-of select="@version"/>)
		    </font>
                                         
	    </b>
	    
                </LI>
                <LI>
		        	        		    
	     <b>
		    Copyright : <font color="blue">
		    <xsl:value-of select="/PMML/Header/@copyright" />
		    </font>
		                                         
	     </b>
			    
                </LI>
            </UL>
    <HR/>
    <BR d=""/>
    <BR d=""/>
</xsl:template>



<!-- This table shows field meta data -->
<xsl:template match="DataDictionary">
   <b>
   <FONT size = "+1"> Hierarchy Description  </FONT>
   </b>
   <BR d=""/><BR d=""/>     
        	<UL>
        	<LI>
        	        		    
	    <b>
		    Node Root : <font color="blue">
		    <xsl:value-of select="@name" /> <xsl:value-of select="Taxonomy/ChildParent/@x-RootName"/>
		    </font>
                                         
	    </b>
	    
                </LI>
            </UL>
  <table width="100%" border="1">
    <tr>  
    <th colspan="12" bgcolor="#FF9933"> Items Hierarchy </th>
    </tr>
    <tr>
    <th align="center" bgcolor="#FFCC66">Child</th>
    <th align="center" bgcolor="#FFCC66">Parent</th>
    </tr>
    
    <xsl:for-each select="Taxonomy/ChildParent/InlineTable/Extension/row">
      <tr>
        <td align="center" bgcolor="#FFFFCC">
          <xsl:value-of select="@member"/>
        </td>  
        
        <td align="center" bgcolor="#FFFFCC">
          <xsl:value-of select="@group"/>
        </td> 
         
      </tr>
    </xsl:for-each>
  </table>
  <BR />
</xsl:template>

</xsl:stylesheet>