/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    ------------------------------------------------------------------------
 *    Copyright (C) 2004-2005
 *    Dipartimento di Informatica, Universita' di Pisa
 *    Pisa, Italy
 *    ------------------------------------------------------------------------
 *
 */

package kddml.Core;

/**
 * Eccezione sollevata durante il parsing di un documento XML.
 */
public class DOMParserException extends KDDMLCoreException {

  /**
   * Metodo costruttore; crea un'istanza della classe inizializzando i parametri.
   *
   * @param msg messaggio di errore che deve essere visualizzato nell'interfaccia grafica.
   */
  public DOMParserException(String msg) {
    super(msg, null, KDDMLCoreErrorCodes.DOM_PARSER_ERROR);
  }
}
