/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    ------------------------------------------------------------------------
 *    Copyright (C) 2004-2005
 *    Dipartimento di Informatica, Universita' di Pisa
 *    Pisa, Italy
 *    ------------------------------------------------------------------------
 *
 */

package kddml.Core.DataMining.ClassificationTrees;

import kddml.Core.DataMining.*;
import kddml.Core.KDDMLCoreErrorCodes;

/**
 * Factory class that builds a classification model from a JDM engine.<br>
 * ---------------------------------- <br>
 * NOT YET IMPLEMENTED <br>
 * ---------------------------------- <br>
 *
 * <p>Title: KDDML</p>
 * <p>Description: Knowledge Discovery in Database Environment</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: Universita' di Pisa - Dipartimento di Informatica</p>
 * @author Andrea Romei (romei@di.unipi.it)
 * @version 1.0
 */
public class JDMClassificationFactory extends ClassificationExternalFactory {

  public JDMClassificationFactory(java.io.File f, JDMConnection connection)
      throws kddml.Core.KDDMLCoreException {

    super(f);
    throw new TreeModelException("Not yet supported!", null, KDDMLCoreErrorCodes.NOT_YET_IMPLEMENTED);
  }

  protected DataDictionary buildDataDictionary() throws MiningModelException {
    return null;
  }

  protected MiningSchema buildMiningSchema() throws MiningModelException {
    return null;
  }

  protected String buildAlgorithmName() throws MiningModelException {
    return null;
  }

  protected String buildModelName() throws MiningModelException {
    return null;
  }

  protected String buildPMMLVersion() throws MiningModelException {
    return null;
  }

  protected String buildCopyright() throws MiningModelException {
    return null;
  }

  protected String buildApplicationName() throws MiningModelException {
    return null;
  }

  protected String buildApplicationVersion() throws MiningModelException {
    return null;
  }

  protected Node buildTree() throws TreeModelException {
    return null;
  }

  protected ConfusionMatrix buildTrainingConfusionMatrix()
      throws TreeModelException {
    return null;
  }

  protected ConfusionMatrix buildTestConfusionMatrix()
      throws TreeModelException {
    return null;
  }

  protected boolean isBinarySplitting() {
    return false;
  }
}
