/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    ------------------------------------------------------------------------
 *    Copyright (C) 2004-2005
 *    Dipartimento di Informatica, Universita' di Pisa
 *    Pisa, Italy
 *    ------------------------------------------------------------------------
 *
 */


package kddml.Core.DataSources;

import weka.core.*;
import kddml.Core.*;

/**
 * A factory class that create a table given a prolog source.<br>
 * --------------------------------- <br>
 * THIS CLASS IS NOT YET IMPLEMENTED <br>
 * --------------------------------- <br>
 *
 * <p>Title: KDDML</p>
 * <p>Description: Knowledge Discovery in Database Environment</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: Universita' di Pisa - Dipartimento di Informatica</p>
 * @author Andrea Romei (romei@di.unipi.it)
 * @version 1.0
 */
public final class PrologFactory extends InternalTableExternalFactory {

  public PrologFactory(java.io.File f)
      throws kddml.Core.KDDMLCoreException {

    super(f);
  }

  /**
   * Returns the next instance from the input resource.
   * Returns null if no more instances are available.
   *
   * @param schema Instances the data schema of the instances.
   * @throws InternalTableException if an error occours.
   * @return Instance
   */
  protected Instance nextInstance(Instances schema) throws InternalTableException {

    throw new InternalTableException("Not yet implemented!", null,
                                     KDDMLCoreErrorCodes.NOT_YET_IMPLEMENTED);
  }

  /**
   * Returns the instances header as fast vector of attributes.
   *
   * @throws InternalTableException
   * @return FastVector
   */
  protected FastVector getHeader() throws InternalTableException {

    throw new InternalTableException("Not yet implemented!", null,
                                     KDDMLCoreErrorCodes.NOT_YET_IMPLEMENTED);
  }

  /**
   * Returns the relation name of this table.
   *
   * @return String
   */
  protected String getRelationName() {
    return null;
  }
}
