#include <stdio.h>
#include "database.h"

int exist_arff=0;

char AssociaDatoInterr (Attributo *attr, char *stringa,int numtupla,int numattr);
void DissociaDato (Attributo attr, char tag, char *stringa);
char AssociaDato (Attributo attr, char *stringa,int numtupla);
void AllocDatabase (Database *dat);
void CalcolaClassi (Database *dat);
void LeggiAttributi (FILE *fp, Attributo *att, int numatt, Database *dat);
void LeggiAttributiArff (FILE *fp, Attributo *att, int numatt, Database *dat);
void LeggiTuple (FILE *fp, Database *dat);
void LeggiTupleArff (FILE *fp, Database *dat);
void StampaDatabase (Database dat);
void StampaAttributi (Attributo *list, int numatt);
void LeggiDatabase (Database *dat, char* comand);
void LeggiDatabaseArff (Database *dat, char* comand, FILE *fp);
void LeggiDatabaseTest (Database *dat, char* comand);
void CalcolaClassi (Database *dat);



void CalcolaClassi (Database *dat)
{ 
int i;

for (i=0; i<dat->numclassi;i++)
	dat->classe[i]=0;
for (i=0;i<dat->numtuple;i++)
	dat->classe[dat->data[i][(dat->numatt)-1]]++;
 }


void DissociaDato (Attributo attr, char tag2, char *string)
{ 
 int tag;
tag = (int)tag2;
 sprintf (string,"err");

 if (attr.continuo)
      { 	
	if (tag<=attr.numdominio)
   	   { 
       	     if (tag==0) 
		sprintf (string,"-%s",attr.dominio[0]);
	     else 
		if (tag==attr.numdominio) 
		     sprintf (string,"%s-",attr.dominio[attr.numdominio-1]);
		else
		      sprintf (string,"%s-%s",attr.dominio[tag-1],attr.dominio[tag]); 		
	      
      		   }
	 }
	
  else
  	sprintf (string,"%s",attr.dominio[tag]);
  	 
 
 }
char AssociaDatoInterr (Attributo *attr, char *stringa,int numtupla,int numattr)
{
  int i, k,numb, assoc=-1;
  char **tmpdominio;

  //att[i].dominio = (char **) malloc (sizeof (char*) * att[i].numdominio);
  if (attr->continuo)
	{   numb = atoi (stringa);
            if (numb <= atoi (attr->dominio[0]))
		assoc = 0;
             if (numb > atoi (attr->dominio[attr->numdominio-1]))
		assoc = attr->numdominio;

	    for (i=1; i<attr->numdominio; i++)
		if ( ( numb <= atoi (attr->dominio[i])) && (numb > atoi (attr->dominio[i-1]) ) )
			assoc = i;
		 }
  else
	{ 	    for (i=0; i<attr->numdominio; i++)
		 if (!strcmp (stringa, attr->dominio[i]))
			assoc = i;
			}
  if (assoc==-1){
		if (!strcmp (stringa, "?"))
		{
			//printf ("gestisco il ? tupla %d attributo %d\n",numtupla,numattr);
			tmpdominio= (char **) malloc (sizeof (char*) * attr->numdominio);
			for (k=0;k<attr->numdominio;k++)
				{
				tmpdominio[k] = (char *) malloc (sizeof (char) * MAXCHARATT);
				strcpy(tmpdominio[k],attr->dominio[k]);
				}
			for (k=0;k<attr->numdominio;k++)
				free(attr->dominio[k]);
			free (attr->dominio);
			attr->numdominio++;
			attr->dominio= (char **) malloc (sizeof (char*) * attr->numdominio);
			for (k=0;k<attr->numdominio-1;k++)
				{
				attr->dominio[k] = (char *) malloc (sizeof (char) * MAXCHARATT);
				strcpy(attr->dominio[k],tmpdominio[k]);
				}
			attr->dominio[attr->numdominio-1]=(char *) malloc (sizeof (char) * MAXCHARATT);
			attr->dominio[attr->numdominio-1]="?";
			for (k=0;k<attr->numdominio-1;k++)
			    free(tmpdominio[k]);
			free (tmpdominio);
		}
		else
		{
			printf ("Errore nella lettura tuple: tupla %d attributo %s non appartenente  al dominio %s\n",numtupla,stringa,attr->nome);
			exit (-1);
		}
	     }
  return (char) assoc;
}




char AssociaDato (Attributo attr, char *stringa,int numtupla)
{ 
  int i, numb, assoc=-1;

  if (attr.continuo)
	{   numb = atoi (stringa);
            if (numb <= atoi (attr.dominio[0]))
		assoc = 0;
             if (numb > atoi (attr.dominio[attr.numdominio-1]))
		assoc = attr.numdominio;

	    for (i=1; i<attr.numdominio; i++)
		if ( ( numb <= atoi (attr.dominio[i])) && (numb > atoi (attr.dominio[i-1]) ) )
			assoc = i;
		 }
  else
	{ 	    for (i=0; i<attr.numdominio; i++)
		 if (!strcmp (stringa, attr.dominio[i]))
			assoc = i;
			}
  if (assoc==-1) 
		{printf ("Errore nella lettura tuple: tupla %d attributo %s non appartenente  al dominio %s\n",numtupla,stringa,attr.nome);
		 /*  for (i=0; i<attr.numdominio; i++)
		 printf("%s\n", attr.dominio[i]);*/
	
				exit(-1);	
                }
  return (char) assoc;
}

void AllocDatabase (Database *dat)
{ 
  int i;

  /* alloco la memoria per gli attributi discretizzati e per il numero di valori per att.*/
  dat->listatt = (Attributo *) malloc (sizeof(Attributo) * dat->numatt);

            
   /* alloco la memoria per le tuple */
   dat->data =  (char **) malloc (sizeof(char*) * dat->numtuple);
   for (i=0; i<dat->numtuple; i++)
   dat->data[i] =  (char *) malloc (sizeof (char*) * dat->numatt);
	   
}


void LeggiAttributiArff (FILE *fp, Attributo *att, int numatt, Database *dat)
{ 
  int i=0,j,k;
 
  char ch, stmp[400];
  int fine_attr=0;
   int fine_dom=0;
  
  i=0;
  while (!fine_attr)
	{
	    fscanf (fp, "%s", stmp);
	    if (!strcmp(stmp,"@data")||!strcmp(stmp,"@DATA"))
	        {
		    fine_attr=1;
	    		}
	 else if (!strcmp(stmp,"@attribute")||!strcmp(stmp,"@ATTRIBUTE"))
	    {
	        // read name of the attribute
	       fscanf (fp, "%s", & (att[i].nome));
	       att[i].continuo=0;
		// count dominio
		j=0;
		fine_dom=0;
		// skip bracket
	          while ( (ch = getc (fp)) != '{');
		   while (!fine_dom)
			{		
			 k=0;
	        	while ( (ch = getc (fp)) == ' ');
			while ( (k<(MAXCHARATT-1)) && (ch != ',') && ( ch!='}') )	 
			{  
                           if (ch=='\\')
                                   ch=getc(fp);
			  	    k++; ch = getc(fp);
			  	  }
                	while ( (ch!=',')  && (ch!='}') )
				ch = getc(fp);
			if (ch=='}')
			   fine_dom=1;
			j++;
			}
 att[i].numdominio=j;
		 att[i].dominio = (char **) malloc (sizeof (char*) * att[i].numdominio);
		i++; 
                 }// fine else
		  while ( (ch = getc (fp)) != '\n');
		
		
		
            }// fine while

    

	i=0;fine_attr=0;fine_dom=0;
	fseek(fp,0,SEEK_SET);

                while (!fine_attr)
	{
	    fscanf (fp, "%s", stmp);
	    if (!strcmp(stmp,"@data")||!strcmp(stmp,"@DATA"))
	        {
		    fine_attr=1;
	    		}
	 else if (!strcmp(stmp,"@attribute")||!strcmp(stmp,"@ATTRIBUTE"))
	    {
		j=0;fine_dom=0;
		// read domini
	       // skip bracket
	          while ( (ch = getc (fp)) != '{');
		   while (!fine_dom)
			{		
			att[i].dominio[j] = (char *) malloc (sizeof (char) * MAXCHARATT);
			
			
	      		 k=0;
	        	while ( (ch = getc (fp)) == ' ');
			while ( (k<(MAXCHARATT-1)) && (ch != ',') && ( ch!='}') )	 
			{  
                            if (ch=='\\')
                                   ch=getc(fp);
			    att[i].dominio[j][k] = ch;
			    k++; ch = getc(fp);
			  	  }
                	att[i].dominio[j][k] = '\0';
    			while ( (ch!=',') && (ch!=' ') && (ch!='}') )
				ch = getc(fp);
                    
			if (ch=='}')
			   fine_dom=1;
			j++;
			}
	     i++;
 	    }
      
	    while ( (ch = getc (fp)) != '\n');
		}
  //while ( ch!= '\n'&&ch!=EOF) ch = getc (fp);

 /* Alloca l'array di informazioni sulla distribuzione delle classi*/
  dat->numclassi=att[numatt-1].numdominio;
  dat->classe=(int *) malloc(sizeof (int)*  dat->numclassi);

   }

void LeggiAttributi (FILE *fp, Attributo *att, int numatt, Database *dat)
{ 
  int i,j,k;
  char ch;
  for (i=0; i<numatt; i++)
       { 
           fscanf (fp, "%s %d %d ", & (att[i].nome), &(att[i].continuo), &(att[i].numdominio));
 	   att[i].dominio = (char **) malloc (sizeof (char*) * att[i].numdominio);
           for (j=0; j<att[i].numdominio; j++)
		{
		att[i].dominio[j] = (char *) malloc (sizeof (char) * MAXCHARATT);
		k=0;
	        while ( (ch = getc (fp)) == ' ');
		while ( (k<(MAXCHARATT-1)) && (ch != ',') && ( ch!='\n') )	 
			{  
                            if (ch=='\\')
                                   ch=getc(fp);
			    att[i].dominio[j][k] = ch;
			    k++; ch = getc(fp);
			  	  }
                att[i].dominio[j][k] = '\0';
    		while ( (ch!=',') && (ch!=' ') && (ch!='\n') )
			ch = getc(fp);
 			}
	  fscanf (fp, "\n");
         }
 /* Alloca l'array di informazioni sulla distribuzione delle classi*/
  dat->numclassi=att[numatt-1].numdominio;
  dat->classe=(int *) malloc(sizeof (int)*  dat->numclassi);
   }

void StampaAttributi (Attributo *list, int numatt)
{  
int i,j;
printf ("Stampa Attributi\n\n");
for (i=0; i<numatt;i++)
      {   printf(" att= %s n=%d :",list[i].nome,list[i].numdominio);
          for (j=0;j<list[i].numdominio;j++)
             printf (" %s # ", list[i].dominio[j]); 
        printf("\n");
       }
}

void LeggiTuple (FILE *fp, Database *dat)
{ 
  int i,j,k;
  char ch, stringa[MAXCHARATT];
    	
   for (i=0; i<dat->numtuple; i++)
      { 

       for (j=0; j<dat->numatt;j++)
	    {  
		k=0;
		while ( (ch=getc(fp))==' ');	
		if (j!=dat->numatt-1)
                   while ( (k<(MAXCHARATT-1)) && (ch != ',') && ( ch!='\n')  )	 					
			{  
                            if(ch=='\\')
                                  ch=getc(fp);
			    stringa[k] = ch;
			    k++; ch = getc(fp);
			  	  }
                else
   	          while ( (k<(MAXCHARATT-1)) && (ch != ',') && ( ch!='\n') && (ch!='.') )	 					
			{  
                            if(ch=='\\')
                                  ch=getc(fp);
			    stringa[k] = ch;
			    k++; ch = getc(fp);

			  	  }

                 stringa[k] = '\0';
	
		 while ( (ch!=',') && (ch!=' ') && (ch!='\n') )
			ch = getc(fp);
                /* associa un intero alla stringa nel dominio */ 
		/*printf ("%d %s $ ",j,stringa);*/
       
	dat->data[i][j] = AssociaDato (dat->listatt[j],stringa,i);
	        	  
	  } /* fine for j */
               }
 
} /* fine LeggiTuple */

void LeggiTupleArff (FILE *fp, Database *dat)
{ 
  int i,j,k;
  char ch, stringa[MAXCHARATT];
    	
   for (i=0; i<dat->numtuple; i++)
      { 

       for (j=0; j<dat->numatt;j++)
	    {  
		k=0;
		ch=getc(fp);
		while ( (ch==' ')||( ch=='\n') ||(ch==13) )ch=getc(fp);	
		while ( (k<(MAXCHARATT-1)) && (ch != ',') && ( ch!='\n') &&(ch!=' ')&&(ch!=13) )	 					
			{  
                            if(ch=='\\')
                                  ch=getc(fp);
			    stringa[k] = ch;
			    k++; ch = getc(fp);
			  	  }
  
                 stringa[k] = '\0';

	
		 while ( (ch!=',') && (ch!=' ') && (ch!='\n') )
			ch = getc(fp);
                /* associa un intero alla stringa nel dominio */ 
		/*printf ("%d %s $ ",j,stringa);*/
       
	dat->data[i][j] = AssociaDatoInterr (&(dat->listatt[j]),stringa,i,j);
	        	  
	  } /* fine for j */
               }
//printf ("Fine Lettura\n"); 
} /* fine LeggiTuple */




void StampaDatabase (Database dat)
{ 
 int i,j;
 char stringa[2*MAXCHARATT+1];

   printf ("Database tuple = %d attributi = %d\n",dat.numtuple,dat.numatt);
   for (i=0; i<dat.numtuple;i++)
	{  
	printf ("%d ",i);
	 for (j=0; j<dat.numatt;j++)
		{
		  DissociaDato (dat.listatt[j], dat.data[i][j],stringa);
		  printf ("%s ",stringa );
		}
		printf ("\n"); 
	    }
printf("fine stampa tuple\n");
	   
}


void LeggiDatabaseArff (Database *dat, char* comand, FILE *fp)
{
    	/* compute number of tuples and attributes */
	char stmp[800];
	int num_attr=0,x;
	int num_tuple=0;
	int fine_attr=0;
	int fine_tuple=0;
	char ch;
	
	exist_arff=1;
	while (!fine_attr)
	{
	    fscanf (fp, "%s", stmp);
	    if (!strcmp(stmp,"@data")||!strcmp(stmp,"@DATA"))
	        {
		    fine_attr=1;
	    		}
	 else if (!strcmp(stmp,"@attribute")||!strcmp(stmp,"@ATTRIBUTE"))
	 	num_attr++;
	   
	      while ( (ch = getc (fp)) != '\n');
		}
       
	dat->numatt=num_attr;
       
	while (!fine_tuple)
	{
	  fscanf (fp, "%s", stmp);
	   ch = getc (fp);
	  if (ch==EOF)
	           fine_tuple=1;
	  else
	 	num_tuple++;
	  
	   
	      while ( ch!= '\n'&&ch!=EOF) ch = getc (fp);
	      if (ch==EOF)
	           fine_tuple=1;
		}
       
	 dat->numtuple=num_tuple;
        
        fseek(fp,0,SEEK_SET);
	AllocDatabase (dat); 
        /* leggo gli attributi discretizzati */
        LeggiAttributiArff (fp, dat->listatt, dat->numatt,dat);	
       //StampaAttributi(dat->listatt, dat->numatt);

       /* leggo le tuple */
	LeggiTupleArff (fp,dat);
	//StampaDatabase (*dat);
        CalcolaClassi(dat);
	
  
}

void LeggiDatabase (Database *dat, char* comand)
{ 
FILE *fp22, *fptemp;
char nomefile[80];

   /* try to read .arff file */
  
    sprintf (nomefile,"data/%s.arff",comand);
   
    fp22 = fopen (nomefile,"r");
    if (fp22!=NULL)	
      { 

      /* .arff file */
      LeggiDatabaseArff (dat, comand, fp22);
        fclose (fp22);
	} 
   else /* try .data format*/
    { 
    /* read in .data format (c4.5)*/
    sprintf (nomefile,"data/%s.data",comand);
    fp22 = fopen (nomefile,"r");
    if (fp22!=NULL)	
      { 
      sprintf(nomefile,"data/%s.discr",comand);
      fptemp = fopen (nomefile,"r");
      if (fptemp!=NULL)
        {    	
	fscanf (fptemp, "%d %d\n",&(dat->numtuple), &(dat->numatt));

    	AllocDatabase (dat); 
        /* leggo gli attributi discretizzati */
        LeggiAttributi (fptemp, dat->listatt, dat->numatt,dat);		
	fclose (fptemp);
        /*StampaAttributi(dat->listatt, dat->numatt);*/

               	/* leggo le tuple */
	LeggiTuple (fp22,dat);
        CalcolaClassi(dat);
      	} /* fine  if fptemp .. */
      else
         printf ("Can't open file %s\n",nomefile);
	fclose (fp22);
	   }
    else
         printf ("Can't open file %s\n",nomefile);
      }

}  /* fine LeggiDatabase */


void LeggiDatabaseTest (Database *dat, char* comand)
{ 
FILE *fp, *fptemp;
char nomefile[80];


    if (exist_arff)
            LeggiDatabase(dat,comand);
    else
	  { 
    sprintf (nomefile,"data/%s.test",comand);
    fp = fopen (nomefile,"r");
    if (fp!=NULL)	
      { 
      sprintf(nomefile,"data/%s.discrt",comand);
      fptemp = fopen (nomefile,"r");
      if (fptemp!=NULL)
        {    	
	fscanf (fptemp, "%d %d\n",&(dat->numtuple), &(dat->numatt));

    	AllocDatabase (dat); 
        /* leggo gli attributi discretizzati */
        LeggiAttributi (fptemp, dat->listatt, dat->numatt,dat);		
	fclose (fptemp);

        	/* leggo le tuple */
	LeggiTuple (fp,dat);
        CalcolaClassi(dat);
      	} /* fine  if fptemp .. */
      else
         printf ("Can't open file %s\n",nomefile);
	fclose (fp);
	   }
    else
         printf ("Can't open file %s\n",nomefile);
	 }

}  /* fine LeggiDatabaseTest */

/*void main(argc,argv)
int argc;
char *argv[ ];
   
{

int  i,j;
char nomefile[40];
Database dat;

 if (argc>1) 
   {
    LeggiDatabase (&dat, argv[1]);
    StampaAttributi(dat.listatt, dat.numatt);
    StampaDatabase (dat);
      }
 else
    printf (" too few arguments\n");

}
*/
