#include <stdio.h>
#include "gpc.h"
#include "prob.h"
#include "database.h"

extern int current;
extern Database dat;

#ifdef ANSI_FUNC

VOID make_function_table(int 	numpops,pop_struct *pop)
#else

VOID make_function_table(numpops,pop)
  int		numpops;
  pop_struct	*pop;
#endif

{
int	p;

 for (p=0; p<numpops; p++) {
   pop[p].function_table_size = 4;
pop[p].function_table = (function_table_entry *) malloc(pop[p].function_table_size*sizeof(function_table_entry));

 pop[p].function_table[0].arity =3;
  pop[p].function_table[0].macro = TRUE;
 pop[p].function_table[0].enabled = TRUE;
 pop[p].function_table[0].printname = "outlook";
 pop[p].function_table[0].code = attX1;

 pop[p].function_table[1].arity =3;
  pop[p].function_table[1].macro = TRUE;
 pop[p].function_table[1].enabled = TRUE;
 pop[p].function_table[1].printname = "temperature";
 pop[p].function_table[1].code = attX2;

 pop[p].function_table[2].arity =2;
  pop[p].function_table[2].macro = TRUE;
 pop[p].function_table[2].enabled = TRUE;
 pop[p].function_table[2].printname = "humidity";
 pop[p].function_table[2].code = attX3;

 pop[p].function_table[3].arity =2;
  pop[p].function_table[3].macro = TRUE;
 pop[p].function_table[3].enabled = TRUE;
 pop[p].function_table[3].printname = "windy";
 pop[p].function_table[3].code = attX4;

 

 }
}

#ifdef ANSI_FUNC
VOID make_terminal_table(int		numpops, pop_struct 	*pop)
#else 

VOID make_terminal_table(numpops,pop)
int		numpops;
pop_struct 	*pop;
#endif
{

 int p;

 for (p=0; p<numpops; p++) {pop[p].terminal_table_size = 2;
pop[p].terminal_table =(terminal_table_entry *) malloc((pop[p].terminal_table_size) * sizeof(terminal_table_entry));
 pop[p].terminal_table[0].val = 0;
pop[p].terminal_table[0].printname = "yes";
pop[p].terminal_table[0].constant_generator = constant0;
 pop[p].terminal_table[1].val = 1;
pop[p].terminal_table[1].printname = "no";
pop[p].terminal_table[1].constant_generator = constant1;
pop[p].format = FORMAT;
pop[p].ckpt_format = CKPT_FORMAT;

}
 }

#ifdef ANSI_FUNC
GENERIC attX1(tree **args)
#else
GENERIC attX1(args)
tree **args
#endif
{
int i;
for (i=0; i<dat.listatt[0].numdominio; i++)
if (dat.data[current][0]==i)
{

return eval(args[i]);
 } 
}

#ifdef ANSI_FUNC
GENERIC attX2(tree **args)
#else
GENERIC attX2(args)
tree **args
#endif
{
int i;
for (i=0; i<dat.listatt[1].numdominio; i++)
if (dat.data[current][1]==i)
{

return eval(args[i]);
 } 
}

#ifdef ANSI_FUNC
GENERIC attX3(tree **args)
#else
GENERIC attX3(args)
tree **args
#endif
{
int i;
for (i=0; i<dat.listatt[2].numdominio; i++)
if (dat.data[current][2]==i)
{

return eval(args[i]);
 } 
}

#ifdef ANSI_FUNC
GENERIC attX4(tree **args)
#else
GENERIC attX4(args)
tree **args
#endif
{
int i;
for (i=0; i<dat.listatt[3].numdominio; i++)
if (dat.data[current][3]==i)
{

return eval(args[i]);
 } 
}

#ifdef ANSI_FUNC
 GENERIC 
constant0(void)
#else

GENERIC constant0()
#endif

{
return 0;
}

#ifdef ANSI_FUNC
 GENERIC 
constant1(void)
#else

GENERIC constant1()
#endif

{
return 1;
}

